<template>
  <div class="cookie-preview">
    <h1>cookie-preview</h1>
    <!-- <div class="cookie-img" :style="'backgroudn-image: '"></div> -->
    <!-- :style="'background-image: url(@/assets/light.png)'" -->
    <div class="cookie-img">
      <img :src="currentBase.imgPath" alt="cookie-base" />
      <img
        v-for="addon in currentAddons"
        :key="addon.imgPath"
        :src="addon.imgPath"
        alt="cookie-picture"
      />
      <!-- <img src="../assets/light.png" alt="cookie-picture" /> -->
      <!-- <img src="../assets/coconut.png" alt="" /> -->
    </div>
  </div>
</template>

<script>
export default {
  mounted() {
    this.$store.commit("IfCookieBaseFromCookieBrowser");
    this.$store.commit("IfCookieAddonsFromCookieBrowser");
  },
  data() {
    return {
      // dupa: [{ name: "honey.png" }, { name: "coconut.png" }],
    };
  },
  computed: {
    currentBase() {
      return this.$store.getters.getCurrentBase;
    },
    currentAddons() {
      return this.$store.getters.getCurrentAddons;
    },
  },
  methods: {
    // getImgUrl(src) {
    //   var images = require.context("@/assets/images/", false, /\.png$/);
    //   return images("./" + src);
    // },
  },
};
</script>

<style scoped>
.cookie-img {
  position: relative;
  margin: 0 auto;
  width: 400px;
  height: 400px;
  /* background-color: #f00; */
  /* background-image: url(`../assets/coconut.png`), url(`../assets/light.png`); */
  /* background-image: url("../assets/coconut.png"), url("../assets/light.png"); */
  background-repeat: no-repeat;
  background-size: auto;
  background-size: 400px 400px;
}
.cookie-img img {
  position: absolute;
  top: 0;
  left: 0;
  width: 400px;
  height: 400px;
}
</style>
